| Type| Required| Description| Response if missing|
| --- | --- | --- | --- | --- | --- | --- |
| XUID| Yes| XBOX User ID (XUID) of the caller| 403 Forbidden|
| titleId| Yes| titleId of the title| 403 Forbidden|
| deviceId| Yes for all except Windows and Web| deviceId of the caller| 403 Forbidden|
| deviceType| Yes for all except Web| deviceType of the caller| 403 Forbidden|
| Header| Type| Description|
| --- | --- | --- | --- | --- | --- | --- | --- | --- | --- |
| Authorization| string| Authentication credentials for HTTP authentication. Example value: “XBL3.0 x=<userhash>;<token>”.|
| x-xbl-contract-version| string| Build name/number of the XBOX LIVE service to which this request should be directed. The request will only be routed to that service after verifying the validity of the header, the claims in the auth token, and so on. Example values: 3, vnext.|
| Content-Type| string| The mime type of the body of the request Example value: application/json.|
| Content-Length| string| The length of the request body. Example value: 312.|
| Host| string| Domain name of the server. Example value: presencebeta.xboxlive.com.|
| Header| Type| Description|
| --- | --- | --- | --- | --- | --- | --- | --- | --- | --- | --- | --- | --- |
| X-RequestedServiceVersion| | Build name/number of the XBOX LIVE service to which this request should be directed. The request will only be routed to that service after verifying the validity of the header, the claims in the auth token, and so on. Default value: 1.|
In case of success, HTTP status code is returned with no response body.In case of error (HTTP 4xx or 5xx), appropriate error information is returned in the response body.